summaryrefslogtreecommitdiff
path: root/tests/install
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2010-12-13 08:19:12 +0100
committerJim Meyering <meyering@redhat.com>2010-12-13 08:29:42 +0100
commit0c70708db7ed32d2b379116dc6bf64f07539aaf1 (patch)
tree355c5bc0ab67d6dbcb3a3a34b7ac5b358b9c07df /tests/install
parent8351407f874ab3d6fc0830e78a6c234bf1583e3f (diff)
downloadcoreutils-0c70708db7ed32d2b379116dc6bf64f07539aaf1.tar.xz
tests: tweak basic-1 to use warn_ rather than literal "exit 77"
* tests/install/basic-1 (just_built_dd): Use warn_, rather than cat and exit 77.
Diffstat (limited to 'tests/install')
-rwxr-xr-xtests/install/basic-124
1 files changed, 6 insertions, 18 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index 5e07bab00..3c45c2abb 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -39,28 +39,16 @@ dd2=dd2$EXEEXT
just_built_dd=$abs_top_builddir/src/$dd
-test -r "$just_built_dd" || \
- {
- cat 1>&2 <<EOF
-$0: WARNING!!!
-Your just-built dd binary, $just_built_dd
-is not readable, so skipping the remaining tests in this file.
-EOF
- exit 77
- }
+test -r "$just_built_dd" \
+ || warn_ "WARNING!!! Your just-built dd binary, $just_built_dd
+is not readable, so skipping the remaining tests in this file."
cp "$just_built_dd" . || fail=1
cp $dd $dd2 || fail=1
-strip $dd2 || \
- {
- cat 1>&2 <<EOF
-$0: WARNING!!!
-Your strip command doesn't seem to work, so skipping
-the test of install's --strip option.
-EOF
- exit 77
- }
+strip $dd2 \
+ || warn_ "WARNING!!! Your strip command doesn't seem to work,
+so skipping the test of install's --strip option."
# This test would fail with 3.16s when using versions of strip that
# don't work on read-only files (the one from binutils works fine).